Subject: Conformance of ATM SDP conventions with standard rfc2327 SDP

From: Rajesh Kumar <[email-masked]>
Date: Fri, 02 Jun 2000 08:20:14 -0700

Team,
Please provide your feedback on the following rules that 
I've been following in the ATM SDP Internet Draft:

1. Conform to the sequence and format of lines as defined in rfc2327.
   This is done by extending the values of fields defined in rfc2327
   rather than by defining new fields.
2. Since the parameter <network type> is s set to "ATM", 
   this should preclude 
   the misinterpretation of extended parameter values by 
   rfc2327-compliant SDP parsers.
3. The SDP protocol (RFC2327)  requires that non-standard  
   codec names use an "X-" prefix. A list of standard codec names is
   found at http://www.isi.edu/in-notes/iana/assignments/rtp-parameters 
   I have followed the "X-" prefix convention for non-standard codecs.

I have taken one liberty, however, with the "X-" convention.

The SDP protocol (RFC2327)  requires that non-standard attributes
use an "X-" prefix. I have not followed this convention for the
sake of minimizing clutter. Should I use this convention
for extension attributes? 

Note that I have asked that, " parsers be flexible in the use of the
"X-" prefix convention. They  should accept codec names and 
attribute names with or without the "X-" prefix."

Please provide your feedback.
Thanks--Rajesh 

...........................................................................
Rajesh Kumar
[email-masked]                    
408 527 0811                
Carrier Packet Voice
Cisco Systems, San Jose, California